%define pkg_name        Class-XPath
%define pkg_version     1.4
%define rpm_pkg_version 1.4
%define rpm_pkg_release 2.n0i.2

Summary:       Adds xpath matching to object trees
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SA/SAMTREGAR/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module adds XPath-style matching to your object trees. This means that
you can find nodes using an XPath-esque query with "match()" from anywhere
in the tree. Also, the "xpath()" method returns a unique path to a given
node which can be used as an identifier.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.4-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 1.4-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
